Assignments Assignments

Classes | Macros | Typedefs | Functions | Variables
jmemmgr.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jmemsys.h"`

## Classes
union | small_pool_struct
union | large_pool_struct
struct | my_memory_mgr
struct | jvirt_sarray_control
struct | jvirt_barray_control

## Macros
#define | JPEG_INTERNALS
#define | AM_MEMORY_MANAGER /* we define jvirt_Xarray_control structs */
#define | ALIGN_TYPE double
#define | MIN_SLOP 50 /* greater than 0 to avoid futile looping */

## Typedefs
typedef union small_pool_struct * | small_pool_ptr
typedef union small_pool_struct | small_pool_hdr
typedef union large_pool_struct FAR * | large_pool_ptr
typedef union large_pool_struct | large_pool_hdr
typedef my_memory_mgr * | my_mem_ptr

## Functions
| out_of_memory (j_common_ptr cinfo, int which)
| alloc_small (j_common_ptr cinfo, int pool_id, size_t sizeofobject)
| alloc_large (j_common_ptr cinfo, int pool_id, size_t sizeofobject)
| alloc_sarray (j_common_ptr cinfo, int pool_id, JDIMENSION samplesperrow, JDIMENSION numrows)
| alloc_barray (j_common_ptr cinfo, int pool_id, JDIMENSION blocksperrow, JDIMENSION numrows)
| request_virt_sarray (j_common_ptr cinfo, int pool_id, boolean pre_zero, JDIMENSION samplesperrow, JDIMENSION numrows, JDIMENSION maxaccess)
| request_virt_barray (j_common_ptr cinfo, int pool_id, boolean pre_zero, JDIMENSION blocksperrow, JDIMENSION numrows, JDIMENSION maxaccess)
| realize_virt_arrays (j_common_ptr cinfo)
| do_sarray_io (j_common_ptr cinfo, jvirt_sarray_ptr ptr, boolean writing)
| do_barray_io (j_common_ptr cinfo, jvirt_barray_ptr ptr, boolean writing)
| access_virt_sarray (j_common_ptr cinfo, jvirt_sarray_ptr ptr, JDIMENSION start_row, JDIMENSION num_rows, boolean writable)
| access_virt_barray (j_common_ptr cinfo, jvirt_barray_ptr ptr, JDIMENSION start_row, JDIMENSION num_rows, boolean writable)
| free_pool (j_common_ptr cinfo, int pool_id)
| self_destruct (j_common_ptr cinfo)
| jinit_memory_mgr (j_common_ptr cinfo)

## Variables
static const size_t | first_pool_slop [JPOOL_NUMPOOLS]
static const size_t | extra_pool_slop [JPOOL_NUMPOOLS]

## Macro Definition Documentation

## ◆ ALIGN_TYPE

#define ALIGN_TYPE double

## ◆ AM_MEMORY_MANAGER

#define AM_MEMORY_MANAGER /* we define jvirt_Xarray_control structs */

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## ◆ MIN_SLOP

#define MIN_SLOP 50 /* greater than 0 to avoid futile looping */

## Typedef Documentation

## ◆ large_pool_hdr

typedef union large_pool_struct large_pool_hdr

## ◆ large_pool_ptr

typedef union large_pool_struct FAR* large_pool_ptr

## ◆ my_mem_ptr

typedef my_memory_mgr* my_mem_ptr

## ◆ small_pool_hdr

typedef union small_pool_struct small_pool_hdr

## ◆ small_pool_ptr

typedef union small_pool_struct* small_pool_ptr

## Function Documentation

## ◆ access_virt_barray()

access_virt_barray | ( | j_common_ptr | cinfo,
|  | jvirt_barray_ptr | ptr,
|  | JDIMENSION | start_row,
|  | JDIMENSION | num_rows,
|  | boolean | writable )

## ◆ access_virt_sarray()

access_virt_sarray | ( | j_common_ptr | cinfo,
|  | jvirt_sarray_ptr | ptr,
|  | JDIMENSION | start_row,
|  | JDIMENSION | num_rows,
|  | boolean | writable )

## ◆ alloc_barray()

alloc_barray | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | JDIMENSION | blocksperrow,
|  | JDIMENSION | numrows )

## ◆ alloc_large()

alloc_large | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | size_t | sizeofobject )

## ◆ alloc_sarray()

alloc_sarray | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | JDIMENSION | samplesperrow,
|  | JDIMENSION | numrows )

## ◆ alloc_small()

alloc_small | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | size_t | sizeofobject )

## ◆ do_barray_io()

do_barray_io | ( | j_common_ptr | cinfo,
|  | jvirt_barray_ptr | ptr,
|  | boolean | writing )

## ◆ do_sarray_io()

do_sarray_io | ( | j_common_ptr | cinfo,
|  | jvirt_sarray_ptr | ptr,
|  | boolean | writing )

## ◆ free_pool()

free_pool | ( | j_common_ptr | cinfo,
|  | int | pool_id )

## ◆ jinit_memory_mgr()

jinit_memory_mgr | ( | j_common_ptr | cinfo | ) |

## ◆ out_of_memory()

out_of_memory | ( | j_common_ptr | cinfo,
|  | int | which )

## ◆ realize_virt_arrays()

realize_virt_arrays | ( | j_common_ptr | cinfo | ) |

## ◆ request_virt_barray()

request_virt_barray | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | boolean | pre_zero,
|  | JDIMENSION | blocksperrow,
|  | JDIMENSION | numrows,
|  | JDIMENSION | maxaccess )

## ◆ request_virt_sarray()

request_virt_sarray | ( | j_common_ptr | cinfo,
|  | int | pool_id,
|  | boolean | pre_zero,
|  | JDIMENSION | samplesperrow,
|  | JDIMENSION | numrows,
|  | JDIMENSION | maxaccess )

## ◆ self_destruct()

self_destruct | ( | j_common_ptr | cinfo | ) |

## Variable Documentation

## ◆ extra_pool_slop

const size_t extra_pool_slop[JPOOL_NUMPOOLS]
| static

Initial value:
=
{
0,
5000
}

## ◆ first_pool_slop

const size_t first_pool_slop[JPOOL_NUMPOOLS]
| static

Initial value:
=
{
1600,
16000
}